.common_order_card {
  display: flex;
  gap: 10px;
  padding: 15px 20px;
  border-radius: 12px;
}
.common_order_card .common_order_card_img {
  width: 145px;
  /* height: 120px; */
  flex-shrink: 0;
  border-radius: 8px;
  overflow: hidden;
}
.common_order_card .common_order_card_img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.common_order_card .common_order_card_content {
  flex: 1;
  box-shadow: 0px 3px 6px #00000029;
  border-radius: 12px;
  padding: 10px 18px;
  background: #fffcfc;
}
.common_order_card .common_order_card_header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}
.common_order_card .job_id {
  background: #f5f5f5;
  padding: 2px 10px;
  border-radius: 20px;
  font-size: 12px;
  color: #717171;
  font-weight: 500;
}
.common_order_card .order_info {
  text-align: right;
}
.common_order_card .order_date {
  display: block;
  font-size: 12px;
  font-weight: 500;
  color: #747474;
}
.common_order_card .status_text {
  display: block;
  font-size: 13px;
  font-weight: 500;
  white-space: nowrap;
}
.common_order_card .production {
  color: #38ac53;
}
.common_order_card .delivered {
  color: #852787;
}
.common_order_card .common_order_card_content .title {
  margin: 10px 0px 0;
  font-size: 18px;
  font-weight: 600;

  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.common_order_card .common_order_card_content .desc {
  color: #222222;
  margin-bottom: 5px;
  font-size: 15px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.common_order_card .price_qty_wrapper {
  display: flex;
  /* gap: 100px; */
  justify-content: space-between;
  align-items: end;
}
.common_order_card .price_qty_wrapper .price-wrapper-box {
  display: flex;
  gap: 0 100px;
  align-items: center;
  flex-wrap: wrap;
}
.common_order_card .name-status-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: start;
}
.common_order_card .price_box .price {
  margin: 0;
  color: #ee4823;
  font-size: 20px;
  font-weight: 700;
}
.common_order_card .price_box .tag {
  font-size: 12px;
  color: #888;
}
.common_order_card .quantity_box {
  font-weight: 400;
  font-size: 16px;
}
.common_order_card .card_footer {
  margin-top: 15px;
  display: flex;
  justify-content: space-between;
  align-items: end;
}
.common_order_card .product_link {
  border: none;
  background: transparent;
  color: #ee4823;
  text-decoration: underline;
  font-size: 16px;
  padding: 0;
}
.common_order_card .action_buttons {
  display: flex;
  gap: 8px;
  flex-direction: column;
}
.common_order_card .reorder_btn {
  min-width: 140px;
  padding: 8px 20px;
  border-radius: 30px;
  border: none;
  background: #ff5722;
  color: #fff;
}

@media (min-width: 0px) and (max-width: 1399px) {
  .common_order_card {
    padding: 10px 2px;
  }
  .common_order_card .common_order_card_content {
    padding: 10px 10px;
  }
  .common_order_card .common_order_card_content .title {
    font-size: 16px;
    margin: 7px 0px 0;
  }
  .common_order_card .job_id,
  .common_order_card .order_date {
    font-size: 11px;
  }
  .common_order_card .common_order_card_content .desc {
    margin-bottom: 3px;
    font-size: 13px;
  }
  .common_order_card .price_box .price {
    font-size: 18px;
  }
  .common_order_card .quantity_box,
  .common_order_card .product_link {
    font-size: 14px;
  }
  .common_order_card .card_footer {
    margin-top: 10px;
  }
}
@media (min-width: 992px) and (max-width: 1199.98px) {
}

@media (min-width: 768px) and (max-width: 991.98px) {
  .common_order_card .price_qty_wrapper .price-wrapper-box {
    gap: 0 65px;
  }
}
@media (min-width: 0px) and (max-width: 767px) {
  .common_order_card .common_order_card_img {
    width: 145px;
    height: 120px;
  }
  .common_order_card {
    flex-direction: column;
  }
  .common_order_card .price_qty_wrapper {
    flex-wrap: wrap;
    row-gap: 0;
  }
  .common_order_card .price_qty_wrapper .price-wrapper-box {
    gap: 0 50px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .common_order_card .common_order_card_header {
  }
  .common_order_card .common_order_card_header {
    flex-wrap: wrap;
  }
  .common_order_card .common_order_card_img {
    width: 100%;
    height: 135px;
  }
  .common_order_card .common_order_card_content .title {
    font-size: 15px;
  }
  .common_order_card .quantity_box,
  .common_order_card .product_link {
    font-size: 13px;
  }
  .common_order_card .card_footer {
    flex-direction: column-reverse;
    gap: 5px;
  }
  .common_order_card .action_buttons {
    width: 100%;
  }
  .common_order_card .status_text {
    font-size: 11px;
  }
  .common_order_card .price_qty_wrapper {
    flex-direction: column;
    align-items: start;
  }
  .common_order_card .price_qty_wrapper .price-wrapper-box {
    gap: 0;
    justify-content: space-between;
    width: 100%;
  }
  .common_order_card .price_qty_wrapper .common-Details-Btn {
    width: 100%;
  }
}
